import 'package:flutter/material.dart';

import '../../model/word.dart';
import 'components/words_screen.dart';


class HomePage extends StatelessWidget {
  const HomePage({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SingleChildScrollView(
          child: Column(
            children: [
              const SizedBox(height: 50),
              Image.asset('assets/Logo/logoMottola.png', width: 250, height: 250),
              const SizedBox(height: 20),
              //const Image(
              //  image: AssetImage('assets/Logo/logoMottola.png',),
              //),
              Row(
                  mainAxisAlignment: MainAxisAlignment.center,
                  children: [
                Image.asset('assets/icons/italy.png', width: 50, height: 50),
                const SizedBox(width: 20),
                Image.asset('assets/icons/next.png', width: 30, height:30),
                const SizedBox(width: 10),
                //Text('  -->  ', style: TextStyle(fontSize: 30, color: Colors.grey[800])),
                Image.asset('assets/icons/flagMottola.png', width: 64, height: 64),
              ]),
              const SizedBox(height: 20),
              TextField(
                keyboardType: TextInputType.multiline,
                maxLines: null,
                style: TextStyle(fontSize: 20, color: Colors.grey[800]),
                decoration: const InputDecoration(
                  hintText: 'Parola Italiana',
                  hintStyle: TextStyle(fontSize: 20)
                ),
              ),
              const SizedBox(height: 20),
              ElevatedButton(
                  onPressed: () {

                  },
                  child: Text('Traduci'),
                  style: ElevatedButton.styleFrom(
                  backgroundColor: Colors.orange,
                  padding: const EdgeInsets.symmetric(horizontal: 50, vertical: 20),
                  textStyle: const TextStyle(
                      fontSize: 15,
                      fontWeight: FontWeight.bold)),
              ),
              const SizedBox(height: 30),
              WordsScreen(),
            ],
          ),
        ),
    );
  }
}
